Introduction
Top Next

Introduction

mainscreen

Batch It! is at heart a Windows based Batch Image Processor which caters to the growing needs of the digital photographers at large. If you require a quick and easy program to resize and rename a huge patch of images, Batch It! is there for you.

Being digital photographers ourselves, Batch It! was built with the needs of mass audience. Unlike other imaging software with all the fluffs and loads of features you never need to use, Batch It! was built to be simple to use and comes with what you need. Part of the strength comes from its simplicity and ease of use and the other is its speed and accurate image reproduction.

Developing Batch It! is a labor of love. In 1998, we plunged into the world of digital photography after trading in our SLR cameras and found that we had the freedom to take as many pictures we like without worrying about cost of films and development but because of that, we ended up with tons of images but do not know what to do with them. We looked for tools available to handle batch image resizing but the tools at that point of time were simply too expensive and too difficult to use. That set us in motion and Batch It! was born. Since then, we have listened to our clients and added features that they requested. Our goal then and now was to develop simple to use programs which we know people would use.

The major features of Batch It! includes

· Batch Image Resizing - With the influx of megapixels digital cameras, it is easy to take extremely huge images which may be good for prints but too large to share with friends or put up on the web. Batch It! allows you to resize images three ways, by pixel sizes, by percentage,by ratios and in frames. Framing creates uniform image dimensions while maintaining aspect ratios within the frames.

· Batch Image File Renaming - Digital cameras would name all files with names which may not be representative of the photographs and it may be difficult to sort through them later. Batch It! allows you to batch rename the images to your liking such as "Julia's Birthday 01.jpg" or "Day at the Zoo 0002.jpg" . It need not be "P8012312.jpg" or "G1011102.jpg" anymore.

· Batch Text Captioning - Batch It! allows you to add short text on images be it a short description, filename and date and time. With a short description, it would indeed make your images more meaningful. Adding copyright tags would assert your ownership of your works.

· Batch Watermarking - Batch It! allows you to add small watermark logos or images onto the images. This can be copyright images or anything fancy.

· Batch Image Rotation - The digital camera was made to take landscape images but at times it is not uncommon to take portrait images. Batch It! allows you to batch rotate them or you could define which image you want to rotate.

· Batch Drop Shadow - Digital images right off the camera have very standard rectangular borders which makes the images look flat. Adding Drop Shadow would make the images stand out.

· Batch Effects Adjustments - Batch It! comes with a host of features which allows you to create grayscale, negative, old picture effects and more on the images to give them that unique feel. It also supports Auto Equalization which adjusts and balances color contrast and intensity levels. You get all these and more with Batch It!. It saves you time by taking away the mundane tasks of image processing and allowing you more time to do what you enjoy most. What used to take days or weeks to accomplished can be done in a matter of minutes.


What's New
Previous Top Next

What's New

Batch It! v4.0 is the fourth generation of this popular batch image processor since 1998. Version 4.0 requires us to rewrite the program bottom up to include the following features.

1) It sports a totally new look inline with the XP theme. Each Panel is dockable which allows you to customize how you want the program to look.

2) Breaking the limits on the number of images you can process, the file listing manager is powered by a database engine. In the former versions, the file listings were stored in memory.

3) The program no longer restricted by the limits imposed by the Windows bitmap format and can easily handle 4 megapixels images and above. It is only limited by the computer's RAM.

4) It comes built with a more efficient memory management core which prevents out of memory space issues.

5) The file manager is built with a functional Database Grid which allows you to define how you want your images to be sorted.

6) Real-time Image Preview is support. This allows you to preview any images with the changes in real-time.

7) Customization File name change. With Batch It! v4.0, you could define how your images would be renamed. You could use the filename changer or rename images individually.

8) Supports creating image in frames. This allows you to create uniform sized images which is a requirement for some software and services on the web while still maintaining image dimensions. Images which have larger dimensions would be downsize to fit into the frame.

9) The filename changer comes integrated with the image processor to make it even easier to use.

10) Knowing how important the original images are, the program allows you to backup all images to a zip file or a separate file location for safe keeping.

11) Allows text captioning of file name, date and time unto images apart from the standard text.

12) Supports Multiple directories processing while retaining directory structure.

13) Includes a Stop Emergency button to stop the image processing function.

14) Allows Drag and Drop of file names from Windows Explorer into Batch It!.

15) Supports Old Picture effects. This allows you to create slightly washed out images to give the illustration that it was taken years ago.

16) Supports Auto-equalization. This feature allows the system to adjust picture intensity and contrast for images which may be too dark or too bright.

17) Updated Watermark function. This function now supports transparent background for images without an Alpha-blending channels. It allows you to determine how sensitive the transparent process is.

Version History

V4.0 | - Initial Release
V4.01 | - Fix Bug where DPI is set to As Is which causes the program to crash.
V4.02 | - Fix Bug where JPEG Quality is set to As Is which causes the program to crash.
V4.03 | - Remove Frozen Check to prevent prolong processing to be deemed as frozen.
V4.04 | - Change the Folder Dialog to support Windows Folder Naming
 | - Check for File existence prior to processing
 | - Lock 'Delete' Function during processing - Perform check to prevent multiple copies of program to run from one directory - Added Task based help in Help File
V4.05 | - Speed up loading time when using Load Folder method.
V4.06 | - Fix Transparency Support for Watermark with Alpha Channel.
V4.07 | - Fix File Locking Error for non-English Windows 98 based computer.
V4.08 | - Reworked Watermark Transparency to support both Watermark Transparency and Transparency Color Detection
V4.09 | - Fix "Could not convert variant of type (Null) into type (String)" error when certain settings have been deleted or left blank. - Fix Sort by Filename in Grid
V4.10 | - Added 'Retain Original File Date/Time' for processed files.
V4.11 | - Updated Imaging Engine and Supporting Subsystems
V4.12 | - Fixed Filename Changer bug which prevented Filename Change
V4.20 | - Retain GIF Transparency - Fixed bug when Date Stamp faulty which causes Exception Error.
V4.21 | - Fixed issue with 'Swap Dimension with Portrait Image' when Width or Height is set to 0.
V4.22 | - Fixed critical bug which clears the file listing when Name Changer option is unchecked.
V4.25 | - Added Text Caption Alignment option : Vertical Left TopDown and Vertical Right BottomUp - Added Trim Spacing Before Text option
V4.26 | - Fixed bug when processing TIFF within valid date stamp
V4.27 | - Fixed 'Null to Integer' bug.
V4.28 | - Fixed Bug when changing Resizing Method which causes the system to freeze
V4.29 | - Fixed 'Invalid Argument to Date Encode' error when encounter invalid file date format.
V4.30 | - Updated Imaging Engine and Database Engine
V4.35 | - Support for Large Images
V4.40 | - Fix : Resize by Frame Bug
 | - Added : Random Parameters for Text Alignment and Watermark Alignment
V4.41 | - Added : Random Corners Parameters for Text Alignment and Watermark Alignment
V4.42 | - Updated Imaging Engine and Database Engine
V4.45 | - Support Multiple Copies of Batch It! Running Concurrently on the same machine - Speed up Filename Preview Function - Support Smart Replace for Filename Changer


System Requirements

System Requirements

This program is written specifically for the Windows Operating System and we make no guarantees that it would work on any other environment but it is known to work in the emulated mode on the Mac.

The program was designed on a Windows XP Pro system and tested and certified to function on Windows 95, Windows 98 Second Edition, Windows ME, Windows XP Home, Windows XP Pro, Windows NT 4, Windows 2000 (all editions) and Windows 2003 (all editions).

Although the program would work on any system which runs any of the above system, Image Processing can be quite CPU intensive and as such recommends a minimum of a Pentium 600Mhz CPU running with at least 128mb RAM and 20mb of free harddisk space. You will require more harddisk space if you have a lot of images to process.

The program can function in conjunction with other running programs but if you doing extensive processing and work with huge image files, it is advisable to make it the only running program. The program would utilize all unused CPU resources when processing images.


Supported Image Formats

Support Image Formats

Batch It! is developed to handle commonly used image formats. These includes JPEG, PNG, BMP and GIF.

JPEG | JPEG images are commonly used by digital cameras of today. JPEG images renders 24 bits color photo realistic images and employs a lossy compression algorithm which allows images to be kept small. It is the most commonly used image format for image sharing.
PNG | PNG images are 24 bits (16.7 million colors) color images but employs a lossless compression algorithm which does not degrade each time you save the images. This format is support on the internet but because of its file size, it is used for images which requires the highest quality.
BMP | In Batch It!, only 24 bits bitmap images are support. They are the basic image format native to the Windows Operating System. It too employs a lossless compression algorithm. This format is not supported on the internet.
GIF | GIF renders only 8 bits ( 256 colors) images. For thumbnails and small images, GIF makes a good format to use. It is supported on the internet.
TIFF | The TIFF image format is a popular lossless based image which is used for high quality images and for documents. The program currently supports Single-page TIFF only based on the LZW, Packbits, G3, G4 and Huffman algorithm.
PCX | The PCX image format is a uncompressed image format which has a makeover to support 24 bits color images. Because of its file size, it is appropriate for small images. This format is not supported on the web.


Trial Version and Purchase Information

Trial Version and Purchase Information

Batch It! is released as 'Try-before-you-buy' software. This allows you to effectively evaluate the program for a period of twenty-one (21) days.

During the first 21 days, you may use the program without charge to determine if the program meet your needs.

At this stage, the program is not feature-locked and you have full access to all the functions of the program. During this stage, you will encounter nag screens at start up and when you exit from the program. The program will terminate itself after 3 hours of continuous usage. At the end of the 21 days, the program will no longer function without a license key.

If you feel that you will benefit from the usage of this program, you are required to purchase a license key online. The standard retail price of the program is $39.95. Please refer to http://www.batchimage.com/registration.html for updated prices as we may have special pricing once in a while.

We do not handle sales in-house and engage Regsoft.com Inc to handle all sales orders. Please do not send us any cash, checks, purchase orders or any form of payment as they would be discarded. Regsoft.com has a comprehensive ordering system which allows online secured Credit Card purchases, phone-in, mail-in, fax-in and purchase order sales. If you need to discuss any alternative payment methods, feel free to contact sales@regsoft.com for options. Please quote Product ID 68192 .

For the above mention payment methods, you would find the necessary information with their order page using the following link :
http://www.regsoft.net/purchase.php3?productid=68192

We do offer bulk discounts. Please refer to the order page for more information.

This is a virtual product and you will be sent the Registration Key via email once your order has been approved. For a typical online credit card purchase, you should receive the keys within 3 hours of the purchase. This is handled by their automated order processing system which operates 24/7.

As a registered user, you will be entitled to unrestricted usage of the program for as long as you require. The license will not time out. You will be entitled to all minor updates (all point updates eg v4.0 to v4.5) and bug fixes. You will be provided with a deep discount to upgrade the program (eg v4.0 to v5.0).

All minor updates can be applied by downloading the latest trial version from our website and installing it over the prior installation. The license key would work for the new updates.

SOHO and Personal Users

Although a license key is required for each computer the program is installed on, we make an exception to SOHO and Personal users who may have several computers. As long as the program is used 80% of the time by the same user, you may install it on up to 3 computers without any additional cost.

This does not apply to usage of the program in a commercial environment. You will need to purchase additional licenses in accordance to the number of users. We do offer discount pricing for purchase of multiple licenses.


Contact Information

Contact Information

Pre-Sales

If you have any inquiries of a technical nature, such as how to use certain functions or to setting ideas, feel free to contact us at >support@batchimage.com. As we do maintain support for several programs, it would allow us to address the issue specifically if you include the name of the program with your email correspondence.

If it relates to purchasing options, you may contact our sales department at >sales@batchimage.com .

Misplaced your registration key ?

We understand that mishaps do occur due to several reasons and you may need to reinstall your program, if that happens you could contact >sales@regsoft.com if you have your Order ID and request for a resend of your purchase information. This will contain a fresh new registration key. Ensure that you use the same email address that you use when registered. Please do so if the registration key no longer works. As a security measure, the registration key will only be valid for 7 days and need to be applied at before the expiry of the 7 days. Once applied, it will work indefinitely for that machine.

If you do not have your Order ID and/or changed your email address, please contact us at >sales@batchimage.com with the following information for validation. Once your order as been verified, we will request Regsoft.com to resend you your registration details.

The information required are :-
- Product you registered for
- Name (at the point of registration)
- Email Address (at the point of registration)
- New Email Address
- Mailing Address (at the point of registration)
- Postal/Zip Code (at the point of registration)

Please do not send us your credit card numbers or payment related issues as we do not have those information and it is unsafe to send them via email.

Changing Email Address ?

Please contact us at >sales@batchimage.com if you changed your email address. Although we respect your privacy and do not send you any emails if you do not request for them, we would send out emails when there is a major upgrade, when there is a serious bug issue which we have a fix for and when we have to change the registration key system and would need to send you the new key. If you do not update us, we would not be able to keep you informed.

Need a customized solution ?

If you have a specific need which is not addressed by our programs, feel free to contact us at >sales@batchimage.com for a custom solution. We would be able to piece altogether a program which would be tailored to your needs for an additional fee. Because our programs uses proprietary technologies, we would not be able to offer any source codes with this option.


Good Practises

Good Practises

It is a good practise to keep the target directory different from the original directory as any images processed would be overwritten and would not be retrievable. Use the Backup Original function from the program to backup all images which you are about to process.

Burnt a good set of raw images to a recordable media such as a CD or DVD recordable so you could refer to them in the future when you need it.

It is always good to select a small number of images while you are testing different settings so as to reduce the time it takes before you see the results. Once you are happy with the settings, you may load the entire list of images for processing.

When exiting the program, click on File/Exit so that it would save all current settings and perform the necessary memory cleanup.

Although the program allows you to work directly with a digital camera, it is advisable to copy the images to the harddisk and work from there. Digital camera uses battery to power up and if the battery runs low during image processing, it may result in data corruption on the camera media. Use the Backup Original function to copy the images from the digital camera to the harddisk and process from the harddisk instead.


Introduction

Program Description

Batch It! v4.0 brings about a radical design in the interface design. It supports a dockable interface which allows you to drag the various panels out of where they are now and rearrange them to your needs. New to Batch It! is the use of the Before and After Preview screens. It allows you to preview changes made to the images in real-time.

The File name listing now is powered by a database system which allows you to sort the filenames as how you need it. It even features filtering function commonly to database grids. Categories in the Settings can be closed up if you do not need them.


Application Menu

Application Menu

filemenu | windowsmenu | helpmenu
File | Menu Windows Menu | Help Menu
On the top of program is the Application menu which comes with three menu, File, Windows and Help.

File Menu | The File Menu contains administrative functions.
Load Profile | This will load setting profiles previously saved using the Save Profile function.
Save Profile | This will save setting profiles into INI text readable files.
Exit | This will save the current settings and exit from the program. You may use the 'X' to close the program but this will not ensure that all memory used by the program are freed and the program settings would not be saved.

Profile Files

Profile Files are text based files which contains all the fundamental settings used within the program. If you are working with different sets of images and each require different settings, you could save each set of settings as a profile file and load them when you are working with those set of images. This saves you time from making changes each time.

Whatever you request for assistance in using the program or getting the optimum performance from your imaging needs, we may request for the profile file so we could recreate the settings. Once we have the optimal settings, we could send you the revised profile file and you could load based on our settings.

The Profile Files does not contain any confidential information or profiles of your computers or the programs you use.

Windows Menu

The Windows Menu allows you to switch between the various windows of the program.

Control Center | The Control Center is the main screen which contains the image file listing.
Settings | The Settings screen contains all the properties you could set for the filename and image processing functions.
Before Image Preview | This screen shows the Original Image.
After Image Preview | This screen shows the image after it is processed.
Reset Layout | This resets the layout of the panels to its default positions.

The various panels are dockable and can be closed or resized if needed. Inevitably when moving the panels around, some might get needed behind others or the layout do not come out right. Using the Reset Layout will ensure that the layout gets back to default.

Help Menu

The Help Menu allows you to open this help file and also to navigate to our website to download program updates.

Help | This will bring up this Help File.
Check for Updates | This will navigate to our website to our download page. Use this regularly to check for program updates. Once there is any version updates, you may download the current version and install it over the prior version. This will work only for registered versions of the program.

About

This shows the program version and the program status.

The program works on the principle of unlock registration keys. These keys are stored in the system registry and would work for all minor updates for the current version 4.0. You will not need to reinstall the registration key after you done it the first time around.

When you install a try-before-you-buy version from our website, the program will check to see if you are already registered and if you are, would unlock the program.


Application Navigation Bar

Application Navigation Bar

loading | processing | options
Loading Controls | Processing Controls | Options

On the left hand corner of the program is the Application Navigation Bar. This contains the controls needed to load and process images.

Loading Controls

These controls handles the pre-processing stage of the batch image processing.

Load Files | The Load Files control allows you to load individual image or a set of images from a directory.
Load Folders | The Load Folders control allows you to load entire folder/directory of images. It also allows provides you the option to search for images in all sub directories recursively.
Clear List | This clear the filename listing and allows you to work with a new set of images. Exiting from the program would clear the filename listing too and thus there is no need to clear the list if you are exiting from the program.
Settings | This switches you to the Settings page.
Backup Original | This option provides you with the ability to backup all original files on the list into either a ZIP file or into another directory/folder on your computer.

If you opt to save process files in the same directory as the original without changing filenames, the original files would be overwritten. Files which are overwritten cannot be recovered. Thus it is a good policy to make backups of the originals or save the processed files in a separate directory. This will allow you to go back to them if you need a different setting.

Processing Controls

This contains controls the actual preview and batch image processing.

Process All | This begins the actual image processing sequence. Images would be loaded in the Before Preview panel and all processing can be previewed in the After Preview Panel.
Stop | This will stop the image processing sequence. The process will stop after the current image is saved to prevent any file damage.
Preview Name Change | This allows you to preview the new filenames of the files after it is processed. This does not actually save changes so you could make as much changes as you need. Process All will make the changes permanent.

If you were using Batch It! v3.x, you will noticed that the 'Preview One' button is missing, this is because Batch It! v4.x supports real-time preview. All you need to do is to click on the filename you want to see the changes made and the changes will show up in the After Preview screen.

Options

These controls relates to the way real-time changes are previewed and affects the image processing function.

Use Filename Changer | By checking this option, the image filenames would be changed in consecutive order based on the file position in the grid. Use the Preview Name Change to view the changes.
Do Filename Change Only | If unchecked, the image processing function would activate each time you click on Process All. By selecting this option, the program will only perform filename change as per your configuration.
Enable Change Preview | By checking this option, each time you click on a filename, the real-time image processing preview is enabled and the changes is shown in the After Preview screen. If you are working on large files, the program would seems 'stuck' and become non-responsive. You may want to uncheck this option if you do not require the preview.

If you check both the Use Filename Changer and the Do Filename Change Only option then any change in the filenames made manually would not be reflected.


Control Center

Control Center

controlcenter

The Control Center is where the Filename Listing would be shown when you load up the images to be processed.

There are 6 columns in the Control Center. All of which are sortable. The easiest way to sort them would be to click on the column header and it will sort in that order. By default, it is sorted based on the filename in the ascending order. Clicking on the column header more than once would toggle it from the Ascending to the Descending order.

All Columns apart from Filename are moveable. You can rearrange them by clicking on the header of that column and moving it to another spot.

Columns

Filename | This shows Original Filename
Orientation | The first time you load the images to the list, it will take on the Orientation Properties from Settings. After which you may change each image orientation manually using this column. Click on the column and it will reveal a dropdown box containing the various options.
New Filename | This shows the new filename for the images. At the initial load, the new filenames would be the same as the original filename. Use the Preview Filename Change to see the new filename if you select the use of the filename changer.
 | You can manually change each file name as you require. The filenames need not comply to the 8.3 DOS filename format but it has to comply with the Windows 95 and above filename format. However, you may only have one '.' in the filename and you have to end it with a file extension.
Sort Order | This allows you to define sort order numbers to each file. If you sort by Ascending Order than the higher the number, the lower it would be on the list. The numbers need not be an increment of 1. It can be of any increment. FIles with the same sort order would be grouped next to each other depending on the current order it is at.
 | Note : In Batch It! v3.x, we allowed a drag and drop method to move columns around but it was slow and difficult to use.
File Date/Time | This shows the date time as stamped on the image files.
Actual Path | This is the actual file directory in which the files are from.

Custom Filters

customfilter

filterresults

By default, all selected file names are shown. You could filter the list down to just what you need by clicking on the inverted triangle button on the column header and selecting Custom. The Custom Filter would appear as above. To remove the Filters, click on the X at the bottom of the grid next to the filter description as shown above.

Pop-Up Menu

popup

There is a Pop-up menu which you could activate by clicking right-most mouse button anywhere in the Control Center to bring it up. Of course, this does not apply to Delete Image. For those you need to click on the exact row of the image you want to delete the image.

Setting one of the Set All Orientation will reset all orientation to whatever you select. This will replace all orientation changes which you have previously made.

Reset All Filename Change would reset the New Filename Column to the Original Filename


Image Preview (Before and After)

Image Preview (Before and After)
beforeafter

The Image Preview (Before) shows the original images and the Image Preview (After) shows the processed images.

The above image shows the same image with the drop shadow applied. The images shown will always retain its ratio aspects when being previewed and may appear to be smaller or larger than the other. If the image is smaller than the preview screen, it will maintain its original size. If it is larger, it would be scaled down for display purpose only.

Note : If you click on the little triangle on the top right part of the preview window, it will enlarge that image.

Shown below is the Enlarged Image Preview (After) screen with the Image Preview (Before) hidden.

beforeafterupsize


Introduction

Settings

Settings

There are 5 sections to Settings.

They are the Image Properties, Image Effects, Text Caption Properties, Filename Changer Properties and the File Properties. Each section can be expanded by clicking on the chevon double chevron button on the section header or contract/close up by clicking on the caret double carets button on the section header.

expanded
This shows the Image Properties section expanded

closeup
This shows the Image Properties section contracted

Note : Irrelevant options would be hidden. For example, if you set Image Format to BMP, all options relating to JPEG would be hidden as they are not relevant for the option.


Settings - Image Properties and Image Effects

Settings

Settings - Image Properties and Image Effects Image Properties

The Image Properties determines how the images would be processed. This forms the core function of Batch It!.

imageproperties

Image Format | The supported image formats are JPEG, TIFF, PNG, BMP, PCX and GIF.
Resizing Method | Batch It! allows you to resize your images 4 ways, by pixels (upsize and downsize), by percentage (upsize and downsize), by ratios (upsize and downsize supported) and in frames.
 | The In Frame method is a much requested feature which was introduced in Batch It! v4.0. This method allows the system to create a frame based on the Width and Height dimensions and by setting the frame background color would resize all images so that it will fit within the frame. All images are resized while maintaining Ratio Aspects and in the center of the frame. We are made aware that some programs online and offline which requires all images to be of fixed dimensions or they would get truncated or can squashed. Using the In Frame method would allow all images to be rendered perfectly each time and every time.

Upsized images may degrade in image quality due to the lack of details and depending on how much larger the upsizing is.

Width | Use with Upsize or Downsize by Pixels and Keep Dimension Ratio Aspect, it defines the minimum or maximum width that would cause a trigger point. This is also used by the In Frame resizing method to determine the actual Width of the Frame Container.
Height | Use with Upsize or Downsize by Pixels and Keep Dimension Ratio Aspect, it defines the minimum or maximum height that would cause a trigger point. This is used by the In Frame resizing method to determine the actual height of the frame container.
Keep Dimension Ratio Aspect | When selected, the image would be ensure the images would retain its dimension ratio. You may set either width or height as 0 then the image width or height would be used as the maximum or minimum trigger point.
 | If you uncheck this option, images would be upsize or downsize to the dimension specified with the Width and Height.
Swap Dimensions if Portrait Image | This feature is useful if you are working with both landscape and portrait images at the same time and you do not want the portrait images to be smaller than the landscape images.
 | Digital cameras are made to take landscape images but by turning the camera clockwise or counter-clockwise, you can take portrait images. For example, if you want all landscape images to be saved as maximum 800 x 600 and portrait to be saved as 600 x 800 then select this option. If not, all heights would be set at 600 pixels and all widths as 800 pixels (minimum)
Frame Color | This is used by Resizing in Frame method to determine the background color of the frame.
.

Resampling Method

Batch It! offer 6 resampling methods. Each offering a different algorithm in getting you that picture perfect resized images.
The fastest resampling method is None which merely remove alternate pixels or duplicate the nearest pixels in resizing the images. To a certain degree, you will see jagged edges or what we call pixelization.

We will spare you the complex mathematical computation in the various resampling method and just mentioned that each method would employ certain degree of color matching and averaging to select the best match. A degree of blur effect would be added to reduce the effects of pixelization.

Lanczos3 is the most comprehensive and accurate resampling method but it is the slowest.

JPEG/PNG Quality | This sets the JPEG or PNG image quality in percentage. Because of the lossy compression algorithm employed by JPEG, each time an image is worked on, the image quality would degrade and as such, Batch It! would load and transform each image to Bitmap which uses a lossless compression algorithm to reduce the image degrading. And as such, all image saved would be considered new.
 | A 100% JPEG Quality does not equate to exactly the same quality of the original as the image quality can be perceived as improved or degraded depending on the resampling method employed. As such, at 100% the image file size could increase.
 | We recommend a JPEG Quality of between 75 to 95 as the best settings as it would represent the best mix of image file size and image quality.
JPEG Smoothing (%) | JPEG Smoothing is a technique used to apply blur effect to the image edges to reduce pixelization. If possible, set JPEG Smoothing to 0%.
 | We noticed that images with slanted straight lines such as roofs are not rendered correctly on digital cameras and during a resizing (especially at downsizing), the effects becomes more evident. Applying JPEG Smoothing of 5 to 10% would usually correct this.
Progressive JPEG | Use Progressive JPEG option if you are using the images on the web. This will allow the image to progressive show while it loads so the viewer do not want to wait for the entire image to be downloaded before it is shown.
 | This is however is not supported on pre-1995 image programs and may cause incompatibility issues.
Keep IPTC Header | IPTC Headers are used publishing houses to embed image description and articles into images like news headlines. If you are concerned about file size, you can uncheck this option, this will reduce the image file size by about 16 to 37kb.
Dots Per Inch | The Dots Per Inch option is usually not relevant unless you are using the images on desktop publishers or word processors to determine the image dimensions on the page. The higher the DPI, the smaller the image would appear on these media.
 | Monitors usually have fixed DPI and would use the image pixel size to determine image sizes on screen. Modern printers would have interpolation algorithm to upsize or downsize images to fit to the page and would usually ignore the image DPI settings.

Image Effects

The Image Effects determine the additional functions you want to apply on the images.

imageeffects

Image Orientation

This setting sets the Image Orientation for the initial image orientation for the images being loaded to the filename manager in the Control Center. The actual image orientation used would be the ones set in the Control Center.

There are 6 options provided.

As Is | - Keep the image orientation as it is.
Rotate Clockwise 90° | - Rotate 90° to the Right
Rotate Anti-clockwise 90° | - Rotate 90° to the Left
Rotate 180° | - Rotate 180° from the Right/Clockwise
Flip Left | - Reverse Left with Right
Flip Down | - Rotate 180° from the Left/Anti-clockwise

Note : With the Rotate 180°, left becomes right and right becomes left while the Flip Down would keep the left as left.

To illustrate the difference.

original
Original Image

Rotate 180 °

Flip Down

Image Manipulation The program offers 6 Image Manipulation methods which includes Sharpen, Sharpen More, Blur, Blur More, Emboss and As Is.

Setting Image Manipulation to As Is with apply no Image Manipulation.

Brightness

This adjusts the brightness intensity of the image. 0 represents no change in brightness. A negative brightness setting would darken the image and a positive brightness setting would brighten it.

Contrast

This adjusts the contrast intensity of the image. 0 represents no change in contrast. A negative contrast will decrease the image contrast and a positive setting would increase it.

Grayscale

This will convert the image to its grayscale representation. However, the image actual color depth will still remain as original.

Negative

This will convert the image to look like the film negative.

Old Picture

This reduce the image intensity and give it the 'old' look and feel as with prints which color would fade in time.

Auto Equalize

The auto equalize feature will compute the median of the colors based on its intensity on the picture as a whole and auto adjust them to the median. Images which are too overly exposed or under exposed would benefit from this. But do use with caution if there are drastic color spike, it will upset the adjustment.

For those who are adventurous, you could apply all the four adjustments (Grayscale,Negative,Old Picture and Auto Equalize) it will give you a near InfraRed effect as taken through an InfraRed Filter.

Add Drop Shadow

Batch It! allows you to add shadow frames to make your images stand on.

The above images does not use the drop shadow effect.

shadoweffect
With Drop Shadow Effect

Drop Shadow Background Color
As you may want to place the images on various background such as on the web and your background color is different from the default white, you could use this option to select one which matches your background so that it would blend in.


Settings - Text Caption Properties

Settings - Text Captioning

Settings - Text Caption Properties

Text Caption Properties

textcaptionimage
This image uses text caption with text drop shadow effect

This option allows you to add text caption onto the images.

textcaptioning

Text Caption
There are many reasons why text captions are being used. Some may use it to add short description to the images, while others to add date/time stamp or to add copyright tags to it.

Batch It! provides 4 presets text caption macros and the ability to include your own text.

The 4 preset text captions are :-

[Date] | - This will show the short date using the locale setting your computer uses.
[DateTime] | - This will show the short date and time using the locale setting.
[FileName] | - This will show the full filename without the file paths.
[FileNameNoExt] | - This will show the full filename without the file extension.

Both [FileName] and [FileNameNoExt] uses the New Filename as reference so if you set it to something descriptive like Julia's Birthday Pic 01.jpg, it will show up as just "Julia's Birthday Pic 01" if you use the [FileNameNoExt] macro.

Font Name | This option lists all the fonts being installed on your computer. Since the text would be drawn to the image instead of being embedded, you may use any fonts even if it is not available on your viewer's computer.
Font Size | Text Captions are added after the images are resized to ensure the highest image quality when rending fonts. As such you have to take into account the final image size to determine which font size to use.
Font Style | This include the usual options of Regular, Bold, Italic and Bold Italic.
Font Color | Use this to define the color of the text caption.

Trim Spacing From Text | All spacing before and after the text options are not trimmed to allow you to make minor adjustment to the spacing. By selecting this option, all blanks before and after the text would be trim.
Text Alignment | Batch It! Provides 11 text captioning positions which includes Top Left, Top Center, Top Right, Middle Left, Middle Center, Middle Right, Bottom Left, Bottom Center, Botton Right, Vertical Left BottomUp, Vertical Left TopDown, Vertical Right BottomUp, Vertical Right TopDown layout,Random and Random Corner. Random Alignment current supports Top Left, Top Center, Top Right, Bottom Left, Bottom Center and Bottom Right. Random Corner Alignment supports random placement of the text caption on one of the four corners.

Vertical Left BottomUp

Vertical Right TopDown

Caption in Border
By default, text captions are added to the image. If you select to include text caption in border, a white border is created where the text caption would be added.

This method does not work when the Text Alignment is set to Middle Left, Middle Center and Middle Right.

Caption in Border Checked with Text Drop Shadow Effect

Drop Shadow Text
By checking the Drop Shadow Text, the text caption are added with a drop shadow as above. Without it, the images would be shown as flat.

Text in Border without the Text Drop Shadow Effect

Batch It! uses a text rendering method which would ensure that all texts are smoothed when resized.

Fixed Fonts however does not resize well and thus we encourage you to use a TrueType font format.

All TrueType fonts are labeled with TT at the set and are resizeable.

Those with the printer icon are fixed size fonts and do not resize well.


Settings - Watermark Properties

Settings - Watermark

Settings - Watermark Properties

Watermark Properties

watermarkimage
This image contains a watermark taken from a PNG Smiley image.

This options allows you to add a graphic watermark to the picture.

watermarkproperties

Watermark Image | The program supports adding either a png, bmp, gif, tiff or jpeg image as a watermark.We advise you to use an image format other than JPEG. JPEG images are made for true color photo quality images and do not use solid colors. A blackground may be white to the naked eye but in JPEG, there are many shades of white as with other colors. Using the controls, we could get near transparent background jpeg with difficulty. The other support format uses true solid colors and may even support alpha blending properties which contains the transparent color properties. As no image resizing would be performed on the watermark, ensure that it is smaller than the resultant image dimensions of the images you are adding the watermark too. If it is larger, it will cover the entire image.
Watermark Alignment | As with text caption, you may place the watermark in 6 locations on the image, top left, top center, top right, bottom left, bottom center, bottom right, Random and Random Corner. Random Alignment supports random placement of the watermark at one of the 6 locations listed above. Random Corner Alignment supports random placement of the watermark on one of the four corners.
Watermark Transparency Tolerance (Background Color) | The program will sample 6 points of reference on the image to determine background color. These include the top left most pixel, the bottom left most pixel, the top right most pixel, the bottom right most pixel, the 5th pixel from the top left and the 5th pixel from the top right. This allows the program to gather a fairly accurate range of background colors. Each point is then match against the transparency tolerance level in the setting here to determine the allowable variant for the watermark background. When designing a watermark, ensure that the background color is vastly different from the foreground color used. Provide as much background as possible.
 | For non-JPEG images, setting the watermark transparency tolerance to 0 would usually yield a fairly transparent background as with the image above. If an image has an alpha channel, it will use it to determine transparency.
Use Alpha Channel | Checking this option would enable using Alpha Channels when using Image Watermark Overlay.
Watermark Transparency (Entire Watermark) | This option would determine the entire watermark (overlay) against the target image in question. Setting Watermark Transparency to 0 would yield a solid watermark. Setting it to 10 to yield a watermark which blends into the image.


Settings - File Name Changer Properties

Settings - File Name Changer

Settings - File Name Changer

File Name Changer
The File name changer is a power function which allows you to do a quick renaming of files usually either by adding just prefix and suffixes or by adding a running number within the filename. Digital cameras do not provide descriptive names to the files and it can get confusing especially when you have a huge collection of images.

filenamechanger

Prefix and Suffix | The Prefix tag would be added just infront of the file name and the Suffix tag would be added right after the file name but before the file extension.
Start Number | Batch It! allows you to change the file name by using a running number in the sequence of how they appear in the Control Center. The Start Number will define the first number to be use for each run.
Restart Number at each run | If you check this option, each run will always have the starting number as initially stated. However if you uncheck this option, the Start Number will increase in accordance to each run.
 | For example, if you have the Start Number defined as 1 and you added 10 images to be renamed. After the renaming, the Start Number will jump to 11 which would be the Start Number for the next run and so on.
Number of Digits | If this is set to 1 then you will not have any leading zeros. By default, it is set to 4 so all file names will have leading zeros in front of it to make it a minimum length of 4. This only applies to the running numbers and does not take into account the length of the prefix or suffix or file extension.
Case Options | This allows you to change filename case from Uppercase to Lowercase or vice versa. This is useful if you are planning to use the images on the web. Linux based servers and computers are case-sensitive so change case will ensure some form of consistency. Part of the reason why images do not show up on a Linux server is due to file name case.
 | For example, on a Linux server, abc.jpg and Abc.Jpg are two different file.
Add Prefix and Suffix Only | By default, a running number is being applied to the filenames. However, there are times in which all you need is to add a prefix or a suffix to the filename. In cases like this, check the Add Prefix and Suffix Only option will supress the running number function.
Smart Replace | Smart Replace allows for replacement of certain text within the filename. When checked, the program to search for the first occurrence of the 'Replace From' text and replaced it with the 'Replace To' text in the filename. For instance, if your original filename is P120204.jpg and you want to set the 'P' to something like 'Zoo' then what you need to do is to set the 'Replace From' as 'P' and 'Replace To' as 'Zoo'. During processing, the program would replace the first occurrence of 'P' with 'Zoo' thus making the above filename as 'Zoo120204.jpg'. If the 'Replace From' text cannot be found within the filename, it would skip that filename and move on to the next. Note : Spacing before and after the 'Replace From' and 'Replace To' are not trimmed. * This function is experimental but fully functional. Do a Preview Name Change to determine if the name change is as requested before proceeding.
Retain Original Date/Time Stamp | As all images processed through Batch It! are new images, by default they will have new file creation date. If you want to retain the original date/time, you will need to check this option.
Overwrite Files | If a file name change is applied to the files within the same directory/folder, by default it will copy the contents of the original files and rename it. This will retain the original files but it means you have two sets of identical files in the same directory.
 | By checking this option, you will rename the original files in that circumstances without creating new ones.
 | This only applies if the changes are made to the same directory.


Settings - Files Properties

Settings - File Properties

Settings - Files Properties Files Properties

This section determines how the processed files should be saved.

filesproperties

Target Directory/Folder | This defines the actual directory in which to save the images in. There are two options to defining this, one by using using the '...' button which would open up Folder Dialog which you can either navigate to an existing folder or create a new one and the other method is to use the pre-defined relative link by clicking on the chevron button.
 | The current pre-defined relative link is [source directory]\ which defines the actual directory in which the file is from. So if you are working with files from different sources and you want them saved in their original directory, you may use this option.
 | Remember to end all folders with '\'.
Keep Sub-directory Structure | By default, all files are created in the same directory even if they are imported from different ones. Checking this option will ensure that the same directory structure is maintained. All sub directories will be created to mirror that of the original path.


Application Docking System

Application Docking System

Docking Information

The first step to docking would be to undock a page. You can do this by holding the left-mouse button down when selecting the page name. By default this would be the bottom tab on the default page design. While holding the mouse button down, drag the page out and it will immediately be undocked.

To dock a page, hold the left-mouse button down when selecting the page name and dragging into the program to where you want it to dock.

Note : Both the Image Preview and Settings can be undocked. You may dock the pages to the Left, Right, Top, Bottom or as a Tab in the program.

Docking Tags
On the top of each page you will see docktag. These are docking tags which could alter the behavior of the pages.

The first tag would maximize or minimize the page depending on where it is at. It basically would close up the other pages. This will appear only if at least two pages are stacked on top of each other or side by side.

The second tag would determine if the page would appear static at where it is at. If the Pin is pointing down, it would remain static and if it is pointing towards the left, it will close up. Moving the mouse over the page name would open the page. Clicking on the page at the back would close it.

The third tag would remove the page from the screen. If you want to bring it back, select Windows and the Page Name and it will reappear.
Note : If at any point, you want to revert to the original layout, select Windows and Reset Layout.


Loading Files

Loading Files

Batch It! provides you with 3 ways to load files.

Load Files

By using the Load Files option, it allows you to select file or files from a specific directory into the program.

To select a single image file, just click on the file name and Open which will load that file to the file listing.

To select batch of image files, click on the first file name on the list then while holding down the SHIFT key select the last image on the list with your left-mouse button. Once you got the list you want, click on Open which would load the selected list into the file listing.

To import selective image files, click on the first file name on the list then while holding down the CTRL key select all the subsequent image files you want to include. Once you got the list you want, click on Open which would load the selected list into the file listing.

Load Folders

If you want to load up entire folders, use the Load Folders method. This will allow you to select the folder which you want all images to be imported from. This supports loading from an entire folder with the option to include all sub folders.

Drag and Drop

This works with Windows Explorer through My Computer on the Windows XP desktop. You could select image files and folders and drop them into the Control Center.

Note : With Windows XP and above, you could change the file listing view (for Load Files and Windows Explorer) by clicking on the last icon at the icon bar and selecting the View Menu to Thumbnails.


Resizing Images

Resizing Images

Batch It! provides you with 4 ways of resizing images

Resizing by Pixels

If you select Resizing by Pixels (either upsize or downsize), there are 4 others settings which would be relevant. They are Width, Height, Keep Dimension Ratio Aspect and Swap Dimension if Portrait Image .

The Keep Dimension Ratio Aspect option when selected would ensure that the images would not get distorted but would look perfect at any dimension.

By selecting Keep Dimension Ratio Aspects, the images which are larger than the width or height would be downsize so that both width and height are equal or smaller than the maximum allowable dimension if Downsize by Pixel is selected. If you use Upsize by Pixel than all images would have to be larger than the minimum allowable dimensions. You may keep either one of the dimension to 0 if you do not have any dimension criteria for that dimension.

If Keep Dimension Ratio Aspects is not selected, all images would be resized based on the maximum width and height. Images can be upsized or downsized depending on the set parameters.

Resizing by Percentage

If you select Resizing by Percentage, the Percentage setting would be relevant. This would determine the percentage scale of the processed image to the original file dimension. All Resizing by Percentage method would handle Dimension Ratio Aspects automatically.

The base ratio is 100% which would be equivalent to no resizing. If you set it to 120% it will upsize the image by 20%. If you set it to 80%, it will scale down the image to 80% of the original file size.

The program does not handle decimal placement but whole numbers.

Resizing by Ratio

The program allows you to resize images by ratio from 1/4x to 3/4x the original image size. Dimension Ratio Aspects would be handled by the program automatically.

Note : Images which have dimensions under 30 pixels may be distorted even if dimension ratio aspects are used due to the rounding issues in the computation. Any images which are upsized may have its quality degraded due to the lack of details.

Resizing in Frame

By selecting this option, all images would be resized to fit the set Width and Height. All images would retain their ratio aspect properties within the frame. Any part of the frame which is not covered by the resized image would be filled with the selected background color.

If you use the Drop Shadow option, it will take the color of the frame as its background so as to blend it seamlessly.


Do Filename Change Only

How to do Filename Change Only ?

Batch It! integrates two main functions into a single program, this include Image Processing and Filename Renaming. The core function is image processing. However by checking the Do Filename Change Only option will disable the image processing function. Otherwise both functions would be performed.

Each processed image will take on the New Filename as listed in the New Filename column on the Control Center.

The file order in the control center is important as they will be processed in that order. By default, the original filename takes precedence but by clicking on the column header will sort the list in accordance to that criteria.

The Sort Order Field shows the sequence in which the files are loaded into the program. Since the images are sorted by filename, this column may show numbers which are not of any sequence. Click on the Sort Order header to sort against the Sort Order Number. In an Ascending sort, the higher the assigned number, the lower it is on the list. Any files with the same sort order number will be grouped next to each other.

You do not need to use numbers with the incremental value of 1. While changing the value, click on the header to perform the sort. Use the Preview Name Change to view how the filenames would turn out especially when using the Use Filename Changer option.

Each New Filename field is editable so you could change them as you like. Remember to uncheck the Use Filename Changer if you want to refine the file names.


Resize Images

How to Resize Images

How to Resize Images ?
Below contains the basic steps in batch resizing of images.

1) Click on Load Folders and navigate to the directory/folder where the images are found and click OK. The program will ask if you want to include all sub-folders. If you click Yes, the program will look for all supported images in all the sub-directory under it and include it on the list of images to be processed.

2) Navigate to Settings by either clicking on Settings or clicking on the Settings tab name at the bottom of the Control Center.

3) Select the Resizing Method which you want to use. The program supports 4 methods to resize images, by Pixels, by Percentage, by Ratio and in Frame. Please refer to the topic on Resizing Images for more information.

4) Under File Properties, select the directory/folder in which the processed images would be saved in. If this is the same as the original files, the original files would be replaced and the process is irreversible. It is best to ensure that the directory the images would be saved in would be different from the original.

If however you need to save in the same directory, use the Backup Original function to keep a copy of the original files with which you can retrieve if you need to.

5) To preview the new file size, check the Enable Change Preview on the left navigation bar and click on any of the file name on the list in Control Center. This will show the before and after image on the respective panel. You will see the image dimension on the before and after module. If the image dimension is not as you want, you could go back to Settings and make the necessary changes. Preview does not actually save the images so you can repeat this step as many times as you want.

6) Once you are satisfied with the settings, click on Process All and let Batch It! do all the work.


Rename Images

How to Rename Files ?

Below contains the basic steps in batch renaming of images.

1) Click on Load Folders and navigate to the directory/folder where the images are found and click OK. The program will ask if you want to include all sub-folders. If you click Yes, the program will look for all supported images in all the sub-directory under it and include it on the list of images to be processed.

2) Navigate to Settings by either clicking on Settings or clicking on the Settings tab name at the bottom of the Control Center.

3) Go to the Filename Changer section of the Settings and make the necessary setting changes. Do refer to the Settings - File Name Changer for more information.

4) Under File Properties, select the directory/folder in which the processed images would be saved in. If this is the same as the original files, the original files would be replaced and the process is irreversible. It is best to ensure that the directory the images would be saved in would be different from the original.

If however you need to save in the same directory, use the Backup Original function to keep a copy of the original files with which you can retrieve if you need to.

5) To preview the new file names, select the Use Filename Changer on the left navigation bar and click Preview Name Change to see the new filenames. This should appear on the New Filename column in Control Center. The Changes made in the preview is not permanent so you could go back to settings and make the respective changes. You may also change the new file name column entry manually if you want to provide some level of customization. To ensure the changes that you make are not remains, uncheck the Use Filename Changer option.

If you require only filename change with no processing than check on Do Filename Change Only. If the filename change is part of the image processing then leave this option uncheck. Once you are satisfied with the settings, click on Process All and let Batch It! do all the work.


Add Text Captions

How to Add Text Captions

Below contains the basic steps in batch adding of text captions to images.

1) Click on Load Folders and navigate to the directory/folder where the images are found and click OK. The program will ask if you want to include all sub-folders. If you click Yes, the program will look for all supported images in all the sub-directory under it and include it on the list of images to be processed.

2) Navigate to Settings by either clicking on Settings or clicking on the Settings tab name at the bottom of the Control Center.

3) Go to the Text Caption Properties section and make the necessary changes. Do refer to Settings - Text Caption Properties for a description of the text caption properties. Do keep the caption short.

4) Under File Properties, select the directory/folder in which the processed images would be saved in. If this is the same as the original files, the original files would be replaced and the process is irreversible. It is best to ensure that the directory the images would be saved in would be different from the original.

If however you need to save in the same directory, use the Backup Original function to keep a copy of the original files with which you can retrieve if you need to.

5) To preview the text captions on the images, ensure that the Enable Change Preview is checked and click on the image filename in the Control Center to preview it. You can make changes to the settings by going back to step 3. During the preview no changes are permanent.

6) Once you are satisfied with the settings, click on Process All and let Batch It! do all the work.


Add Watermark

How to Add Watermark ?

Below contains the basic steps in batch adding of watermark images to images.

1) Click on Load Folders and navigate to the directory/folder where the images are found and click OK. The program will ask if you want to include all sub-folders. If you click Yes, the program will look for all supported images in all the sub-directory under it and include it on the list of images to be processed.

2) Navigate to Settings by either clicking on Settings or clicking on the Settings tab name at the bottom of the Control Center.

3) Go to the Watermark Properties section and make the necessary changes. Do refer to Setting - Watermark Properties for information on the various settings.

4) Under File Properties, select the directory/folder in which the processed images would be saved in. If this is the same as the original files, the original files would be replaced and the process is irreversible. It is best to ensure that the directory the images would be saved in would be different from the original.

If however you need to save in the same directory, use the Backup Original function to keep a copy of the original files with which you can retrieve if you need to.

5) To preview the text captions on the images, ensure that the Enable Change Preview is checked and click on the image filename in the Control Center to preview it. You can make changes to the settings by going back to step 3. During the preview no changes are permanent.

6) Once you are satisfied with the settings, click on Process All and let Batch It! do all the work.


Program Updates

Where can I get Program Updates ?

To simplify updates, we do not maintain separate update files. All you will need to do is to download the latest trial version from our website and install it over the current program. This will update all necessary files.

The trial and registered version of the program is one and the same program. It is the registration key which is installed in the system registry which would change the program mode. So as long as you do not change computers, the registration key would work on al future iRedSoft Image Resizer v3.x.

We respect your privacy and would not send you any email in regards to program updates. We plan to offer 4 program updates a year until the next major version upgrade (probably in mid 2006 to cater for Microsoft .NET framework in the new Microsoft Windows Operating System).

This program updates would include bug fixes, updated imaging engine and several additional features which did not make it at the initial launch. We will implement selected requests from our customers as and when possible.

You may refer to our website at http://www.batchimage.com/download for updated versions.


Bugs Reporting

Where do I report Bugs ?

As much as we want to deliver a perfectly running program and we would perform extensive tests on the programs before we release them, bugs do occur. As we are supporting a wide spectrum of operating systems and computer set up, it is impossible to test on all combinations and problem may occur.

If you encounter a problem, see if you can replicate the error on another computer. If the problem is not replicated, you may want to perform a scandisk, defrag and possibly a virus scan to ensure that the system is in good working condition.

There are times in which an external program may interfere with our program and as such during the test close all other running program and test the program exclusively.

If you can replicate the error, drop us an email at support@batchimage.com with the following information

- Program you are running
- Version of the Program in question
- Your Operating System
- Information about your hardware configuration (eg CPU type/speed, remaining harddisk space, RAM)
- The error message
- When the Error occurs (eg at program start up, while running the program or when you close the program)
- The Configuration File (You will find a file called default.ini in the installed directory, this contain all settings for the program)

When requested, you may send us the image file in question via email. Our mailbox would reject any file attachment over 1mb so write to us if you are sending us a file larger than that size.

We will try to replicate the error on our end and issue a bug fix as soon as we have a solution.

The program comes equipped with EurekaLog Exception Reporting System. If your program crashes for some reasons, it will automatically generate a bug report. You may send that to us via email and if possible, include the steps on how the program occurs. It will help us diagnose the problem better.


Requesting for new features

Can I request for new features ?

Our programs are created with our customers in mind and build the program based on their requests and usage pattern. If there are any features which you believe the mass audience would benefit from and if it does not require a massive reengineering of the system, we could place it on the to-do-list. We however do not guarantee that every requests would be added.

Do understand that we are working on a limited budget and manpower and as such we will do our best to implement them to the best of our abilities. We are keeping the cost of the product down so we apologize if we are unable to implement the requested changes.

If there are features you require which we cannot implement, feel free to request for a custom code and we could develop a program to cater exclusively to your needs for a fee.

For all inquiries, you may contact us at support@batchimage.com


Upgrade Policies

What is your upgrade policy ?

When you purchase a license, you will be entitled to all minor updates and bug fixes for that version free-of-charge. All you need to do is to download and install the program from our website at http://www.batchimage.com/download . However, major upgrades from v4.x to v5.x would not be covered by the free offer. As a registered user, you will be entitled to purchase the new version for a discounted price.

The typical lifespan of a version is two years from the initial version launch. You may however use the program indefinitely. All upgrades are optional.

Each major upgrade would involved rewriting the program from bottom up to support a new imaging engine, a new operating system or to implement new features which cannot be implemented with the old framework. The next major upgrade would take place in the mid of 2006 with the launch of the new Windows Operating System which supports the .NET framework. From what we understand, all Windows program which works under Windows XP would work on the new operating system but we cannot guarantee that as nothing is firm on Microsoft's end.

Our policy would be if you purchase our program 30 days prior to the next major upgrade, you will be entitled to a free major upgrade. But we are liberal on that fact and may extend the offer to purchases made before the 30 days.


.NET Support

Do you support Microsoft .NET framework ?

The current version is not based on Microsoft .NET framework but we intend to support the framework once the next Windows operating system is released in 2006. At the moment, there are talk about a new .NET framework version which would be a radical change from the current v1.1.

As such, we have not begin any .NET framework based development as yet as we do not want to bite ourselves in the tail when the framework changes.

Currently, the only version of Windows which supports the .NET framework v1.1 natively is Windows 2003 Server. For other versions of Windows, you will need to download and install a 20mb file to provide the support. The framework although functional is slow and lacking in features compared to the current executable framework which we use. It is our opinion that the .NET framework at the present time is not ready for prime time.

The new Windows Operating System to be launched in 2006 would come with native support for .NET. We would have a version of Batch It! for it when that Operating System is available to the masses.


Is the License Transferable ?

Is the License Transferable ?

If you purchase a license, it is tied in to the registered name as such the license is not transferable to a 3rd party with or without a fee. You will be required to purchase an additional license for the new user.

If however the program is registered to a business, the usage may be reassigned to another employee within the same organization.


Multiple Licensse

I purchase multiple licenses but was only provided with one key.

Regsoft.com's system is capable of generating a single license key irregardless of the number of licenses purchased. You may use the same key for the number of systems you are registered for.

If you require separate keys, drop us an email at sales@batchimage.com with your request. Please indicate the Order ID and the name you want the licenses to be registered under and we will manually generate the keys for you.


Registering for a 3rd Party
Previous Top

I want to register the program for a 3rd party.

By default, Regsoft.com would use the Registered Name as a name to generate the license key. If you are registering the program for a 3rd party such as for a friend, relative or even for your company, you may elect on the registration form that this would be a gift order. When requested, enter the 3rd party information or company name and it will assign the registration key to whoever you nominate.

If after ordering, you receive the key for the wrong name, you may write to us at sales@batchimage.com and indicate the Order ID and the name you want to register and we will manually generate the key.


.topic 1
 Introduction

Batch It! is at heart a Windows based Batch Image Processor which caters to the growing needs of the digital photographers at large. If you require a quick and easy program to resize and rename a huge patch of images, Batch It! is there for you.

Being digital photographers ourselves, Batch It! was built with the needs of mass audience. Unlike other imaging software with all the fluffs and loads of features you never need to use, Batch It! was built to be simple to use and comes with what you need. Part of the strength comes from its simplicity and ease of use and the other is its speed and accurate image reproduction.

Developing Batch It! is a labor of love. In 1998, we plunged into the world of digital photography after trading in our SLR cameras and found that we had the freedom to take as many pictures we like without worrying about cost of films and development but because of that, we ended up with tons of images but do not know what to do with them. We looked for tools available to handle batch image resizing but the tools at that point of time were simply too expensive and too difficult to use. That set us in motion and Batch It! was born. Since then, we have listened to our clients and added features that they requested. Our goal then and now was to develop simple to use programs which we know people would use.

 The major features of Batch It! includes

Batch Image Resizing  - With the influx of megapixels digital cameras, it is easy to take extremely huge images which may be good for prints but too large to share with friends or put up on the web. Batch It! allows you to resize images three ways, by pixel sizes, by percentage,by ratios and in frames. Framing creates uniform image dimensions while maintaining aspect ratios within the frames.

Batch Image File Renaming  - Digital cameras would name all files with names which may not be representative of the photographs and it may be difficult to sort through them later. Batch It! allows you to batch rename the images to your liking such as "Julia's Birthday 01.jpg" or "Day at the Zoo 0002.jpg" . It need not be "P8012312.jpg" or "G1011102.jpg" anymore.

Batch Text Captioning  - Batch It! allows you to add short text on images be it a short description, filename and date and time. With a short description, it would indeed make your images more meaningful. Adding copyright tags would assert your ownership of your works.

Batch Watermarking  - Batch It! allows you to add small watermark logos or images onto the images. This can be copyright images or anything fancy.

Batch Image Rotation  - The digital camera was made to take landscape images but at times it is not uncommon to take portrait images. Batch It! allows you to batch rotate them or you could define which image you want to rotate.

Batch Drop Shadow  - Digital images right off the camera have very standard rectangular borders which makes the images look flat. Adding Drop Shadow would make the images stand out.

Batch Effects Adjustments  - Batch It! comes with a host of features which allows you to create grayscale, negative, old picture effects and more on the images to give them that unique feel. It also supports Auto Equalization which adjusts and balances color contrast and intensity levels. You get all these and more with Batch It!. It saves you time by taking away the mundane tasks of image processing and allowing you more time to do what you enjoy most. What used to take days or weeks to accomplished can be done in a matter of minutes.

.topic 2
 What's New

Batch It! v4.0 is the fourth generation of this popular batch image processor since 1998. Version 4.0 requires us to rewrite the program bottom up to include the following features.

1) It sports a totally new look inline with the XP theme. Each Panel is dockable which allows you to customize how you want the program to look.

2) Breaking the limits on the number of images you can process, the file listing manager is powered by a database engine. In the former versions, the file listings were stored in memory.

3) The program no longer restricted by the limits imposed by the Windows bitmap format and can easily handle 4 megapixels images and above. It is only limited by the computer's RAM.

4) It comes built with a more efficient memory management core which prevents out of memory space issues.

5) The file manager is built with a functional Database Grid which allows you to define how you want your images to be sorted.

6) Real-time Image Preview is support. This allows you to preview any images with the changes in real-time.

7) Customization File name change. With Batch It! v4.0, you could define how your images would be renamed. You could use the filename changer or rename images individually.

8) Supports creating image in frames. This allows you to create uniform sized images which is a requirement for some software and services on the web while still maintaining image dimensions. Images which have larger dimensions would be downsize to fit into the frame.

9) The filename changer comes integrated with the image processor to make it even easier to use.

10) Knowing how important the original images are, the program allows you to backup all images to a zip file or a separate file location for safe keeping.

11) Allows text captioning of file name, date and time unto images apart from the standard text.

12) Supports Multiple directories processing while retaining directory structure.

13) Includes a Stop Emergency button to stop the image processing function.

14) Allows Drag and Drop of file names from Windows Explorer into Batch It!.

15) Supports Old Picture effects. This allows you to create slightly washed out images to give the illustration that it was taken years ago.

16) Supports Auto-equalization. This feature allows the system to adjust picture intensity and contrast for images which may be too dark or too bright.

17) Updated Watermark function. This function now supports transparent background for images without an Alpha-blending channels. It allows you to determine how sensitive the transparent process is.

Version History

.topic 3
 System Requirements

This program is written specifically for the Windows Operating System and we make no guarantees that it would work on any other environment but it is known to work in the emulated mode on the Mac.

The program was designed on a Windows XP Pro system and tested and certified to function on Windows 95, Windows 98 Second Edition, Windows ME, Windows XP Home, Windows XP Pro, Windows NT 4, Windows 2000 (all editions) and Windows 2003 (all editions).

Although the program would work on any system which runs any of the above system, Image Processing can be quite CPU intensive and as such recommends a minimum of a Pentium 600Mhz CPU running with at least 128mb RAM and 20mb of free harddisk space. You will require more harddisk space if you have a lot of images to process.

The program can function in conjunction with other running programs but if you doing extensive processing and work with huge image files, it is advisable to make it the only running program. The program would utilize all unused CPU resources when processing images.

.topic 4
Support Image Formats

Batch It! is developed to handle commonly used image formats. These includes JPEG, PNG, BMP and GIF.

.topic 5
Trial Version and Purchase Information

Batch It! is released as 'Try-before-you-buy' software. This allows you to effectively evaluate the program for a period of twenty-one (21) days.

During the first 21 days, you may use the program without charge to determine if the program meet your needs.

At this stage, the program is not feature-locked and you have full access to all the functions of the program. During this stage, you will encounter nag screens at start up and when you exit from the program. The program will terminate itself after 3 hours of continuous usage. At the end of the 21 days, the program will no longer function without a license key.

If you feel that you will benefit from the usage of this program, you are required to purchase a license key online. The standard retail price of the program is $39.95. Please refer to http://www.batchimage.com/registration.html for updated prices as we may have special pricing once in a while.

We do not handle sales in-house and engage Regsoft.com Inc to handle all sales orders. Please do not send us any cash, checks, purchase orders or any form of payment as they would be discarded. Regsoft.com has a comprehensive ordering system which allows online secured Credit Card purchases, phone-in, mail-in, fax-in and purchase order sales. If you need to discuss any alternative payment methods, feel free to contact sales@regsoft.com for options. Please quote Product ID 68192 .

For the above mention payment methods, you would find the necessary information with their order page using the following link :
http://www.regsoft.net/purchase.php3?productid=68192

We do offer bulk discounts. Please refer to the order page for more information.

This is a virtual product and you will be sent the Registration Key via email once your order has been approved. For a typical online credit card purchase, you should receive the keys within 3 hours of the purchase. This is handled by their automated order processing system which operates 24/7.

As a registered user, you will be entitled to unrestricted usage of the program for as long as you require. The license will not time out. You will be entitled to all minor updates (all point updates eg v4.0 to v4.5) and bug fixes. You will be provided with a deep discount to upgrade the program (eg v4.0 to v5.0).

All minor updates can be applied by downloading the latest trial version from our website and installing it over the prior installation. The license key would work for the new updates.

SOHO and Personal Users

Although a license key is required for each computer the program is installed on, we make an exception to SOHO and Personal users who may have several computers. As long as the program is used 80% of the time by the same user, you may install it on up to 3 computers without any additional cost.

 This does not apply to usage of the program in a commercial environment. You will need to purchase additional licenses in accordance to the number of users. We do offer discount pricing for purchase of multiple licenses.

.topic 6
Contact Information

Pre-Sales

If you have any inquiries of a technical nature, such as how to use certain functions or to setting ideas, feel free to contact us at support@batchimage.com. As we do maintain support for several programs, it would allow us to address the issue specifically if you include the name of the program with your email correspondence.

If it relates to purchasing options, you may contact our sales department at sales@batchimage.com .

Misplaced your registration key ?

We understand that mishaps do occur due to several reasons and you may need to reinstall your program, if that happens you could contact sales@regsoft.com if you have your Order ID and request for a resend of your purchase information. This will contain a fresh new registration key. Ensure that you use the same email address that you use when registered. Please do so if the registration key no longer works. As a security measure, the registration key will only be valid for 7 days and need to be applied at before the expiry of the 7 days. Once applied, it will work indefinitely for that machine.

If you do not have your Order ID and/or changed your email address, please contact us at sales@batchimage.com with the following information for validation. Once your order as been verified, we will request Regsoft.com to resend you your registration details.

The information required are :-
- Product you registered for
- Name (at the point of registration)
- Email Address (at the point of registration)
- New Email Address
- Mailing Address (at the point of registration)
- Postal/Zip Code (at the point of registration)

Please do not send us your credit card numbers or payment related issues as we do not have those information and it is unsafe to send them via email.

Changing Email Address ?

Please contact us at sales@batchimage.com if you changed your email address. Although we respect your privacy and do not send you any emails if you do not request for them, we would send out emails when there is a major upgrade, when there is a serious bug issue which we have a fix for and when we have to change the registration key system and would need to send you the new key. If you do not update us, we would not be able to keep you informed.

Need a customized solution ?

If you have a specific need which is not addressed by our programs, feel free to contact us at sales@batchimage.com for a custom solution. We would be able to piece altogether a program which would be tailored to your needs for an additional fee. Because our programs uses proprietary technologies, we would not be able to offer any source codes with this option.

.topic 7
Good Practises

It is a good practise to keep the target directory different from the original directory as any images processed would be overwritten and would not be retrievable. Use the Backup Original function from the program to backup all images which you are about to process.

Burnt a good set of raw images to a recordable media such as a CD or DVD recordable so you could refer to them in the future when you need it.

It is always good to select a small number of images while you are testing different settings so as to reduce the time it takes before you see the results. Once you are happy with the settings, you may load the entire list of images for processing.

When exiting the program, click on File/Exit so that it would save all current settings and perform the necessary memory cleanup.

Although the program allows you to work directly with a digital camera, it is advisable to copy the images to the harddisk and work from there. Digital camera uses battery to power up and if the battery runs low during image processing, it may result in data corruption on the camera media. Use the Backup Original function to copy the images from the digital camera to the harddisk and process from the harddisk instead.

.topic 8
Program Description

Batch It! v4.0 brings about a radical design in the interface design. It supports a dockable interface which allows you to drag the various panels out of where they are now and rearrange them to your needs. New to Batch It! is the use of the Before and After Preview screens. It allows you to preview changes made to the images in real-time.

The File name listing now is powered by a database system which allows you to sort the filenames as how you need it. It even features filtering function commonly to database grids. Categories in the Settings can be closed up if you do not need them.

.topic 9
 Application Menu

On the top of program is the Application menu which comes with three menu, File, Windows and Help.

Profile Files

Profile Files are text based files which contains all the fundamental settings used within the program. If you are working with different sets of images and each require different settings, you could save each set of settings as a profile file and load them when you are working with those set of images. This saves you time from making changes each time.

Whatever you request for assistance in using the program or getting the optimum performance from your imaging needs, we may request for the profile file so we could recreate the settings. Once we have the optimal settings, we could send you the revised profile file and you could load based on our settings.

The Profile Files does not contain any confidential information or profiles of your computers or the programs you use.

Windows Menu

The Windows Menu allows you to switch between the various windows of the program.

The various panels are dockable and can be closed or resized if needed. Inevitably when moving the panels around, some might get needed behind others or the layout do not come out right. Using the Reset Layout will ensure that the layout gets back to default.

Help Menu

The Help Menu allows you to open this help file and also to navigate to our website to download program updates.

About

This shows the program version and the program status.

The program works on the principle of unlock registration keys. These keys are stored in the system registry and would work for all minor updates for the current version 4.0. You will not need to reinstall the registration key after you done it the first time around.

When you install a try-before-you-buy version from our website, the program will check to see if you are already registered and if you are, would unlock the program.

.topic 10
Application Navigation Bar

On the left hand corner of the program is the Application Navigation Bar. This contains the controls needed to load and process images.

Loading Controls

These controls handles the pre-processing stage of the batch image processing.

If you opt to save process files in the same directory as the original without changing filenames, the original files would be overwritten. Files which are overwritten cannot be recovered. Thus it is a good policy to make backups of the originals or save the processed files in a separate directory. This will allow you to go back to them if you need a different setting.

Processing Controls

This contains controls the actual preview and batch image processing.

If you were using Batch It! v3.x, you will noticed that the 'Preview One' button is missing, this is because Batch It! v4.x supports real-time preview. All you need to do is to click on the filename you want to see the changes made and the changes will show up in the After Preview screen.

Options

These controls relates to the way real-time changes are previewed and affects the image processing function.

 If you check both the Use Filename Changer and the Do Filename Change Only option then any change in the filenames made manually would not be reflected.

.topic 11
Control Center

The Control Center is where the Filename Listing would be shown when you load up the images to be processed.

There are 6 columns in the Control Center. All of which are sortable. The easiest way to sort them would be to click on the column header and it will sort in that order. By default, it is sorted based on the filename in the ascending order. Clicking on the column header more than once would toggle it from the Ascending to the Descending order.

All Columns apart from Filename are moveable. You can rearrange them by clicking on the header of that column and moving it to another spot.

Columns

Custom Filters

By default, all selected file names are shown. You could filter the list down to just what you need by clicking on the inverted triangle button on the column header and selecting Custom. The Custom Filter would appear as above. To remove the Filters, click on the X at the bottom of the grid next to the filter description as shown above.

Pop-Up Menu

There is a Pop-up menu which you could activate by clicking right-most mouse button anywhere in the Control Center to bring it up. Of course, this does not apply to Delete Image. For those you need to click on the exact row of the image you want to delete the image.

Setting one of the Set All Orientation will reset all orientation to whatever you select. This will replace all orientation changes which you have previously made.

Reset All Filename Change would reset the New Filename Column to the Original Filename

.topic 12
 Image Preview (Before and After)

The Image Preview (Before) shows the original images and the Image Preview (After) shows the processed images.

The above image shows the same image with the drop shadow applied.  The images shown will always retain its ratio aspects when being previewed and may appear to be smaller or larger than the other. If the image is smaller than the preview screen, it will maintain its original size. If it is larger, it would be scaled down for display purpose only.

Note : If you click on the little triangle on the top right part of the preview window, it will enlarge that image.

Shown below is the Enlarged Image Preview (After) screen with the Image Preview (Before) hidden.

.topic 17
Settings

There are 5 sections to Settings.

They are the Image Properties, Image Effects, Text Caption Properties, Filename Changer Properties and the File Properties. Each section can be expanded by clicking on the   double chevron button on the section header or contract/close up by clicking on the   double carets button on the section header.

This shows the Image Properties section expanded

This shows the Image Properties section contracted

Note : Irrelevant options would be hidden. For example, if you set Image Format to BMP, all options relating to JPEG would be hidden as they are not relevant for the option.

.topic 13
 Settings - Image Properties and Image Effects  Image Properties

 The Image Properties determines how the images would be processed. This forms the core function of Batch It!.

Upsized images may degrade in image quality due to the lack of details and depending on how much larger the upsizing is.

 .

Resampling Method

Batch It! offer 6 resampling methods. Each offering a different algorithm in getting you that picture perfect resized images.
The fastest resampling method is None which merely remove alternate pixels or duplicate the nearest pixels in resizing the images. To a certain degree, you will see jagged edges or what we call pixelization.

We will spare you the complex mathematical computation in the various resampling method and just mentioned that each method would employ certain degree of color matching and averaging to select the best match. A degree of blur effect would be added to reduce the effects of pixelization.

Lanczos3 is the most comprehensive and accurate resampling method but it is the slowest.

Image Effects

The Image Effects determine the additional functions you want to apply on the images.

Image Orientation

This setting sets the Image Orientation for the initial image orientation for the images being loaded to the filename manager in the Control Center. The actual image orientation used would be the ones set in the Control Center.

 There are 6 options provided.

 Note : With the Rotate 180°, left becomes right and right becomes left while the Flip Down would keep the left as left.

To illustrate the difference.

Original Image

 Rotate 180 °

Flip Down

Image Manipulation   The program offers 6 Image Manipulation methods which includes Sharpen, Sharpen More, Blur, Blur More, Emboss and As Is.

Setting Image Manipulation to As Is with apply no Image Manipulation.

Brightness

This adjusts the brightness intensity of the image. 0 represents no change in brightness. A negative brightness setting would darken the image and a positive brightness setting would brighten it.

Contrast

This adjusts the contrast intensity of the image. 0 represents no change in contrast. A negative contrast will decrease the image contrast and a positive setting would increase it.

Grayscale

This will convert the image to its grayscale representation. However, the image actual color depth will still remain as original.

Negative

This will convert the image to look like the film negative.

Old Picture

This reduce the image intensity and give it the 'old' look and feel as with prints which color would fade in time.

Auto Equalize

The auto equalize feature will compute the median of the colors based on its intensity on the picture as a whole and auto adjust them to the median. Images which are too overly exposed or under exposed would benefit from this. But do use with caution if there are drastic color spike, it will upset the adjustment.

For those who are adventurous, you could apply all the four adjustments (Grayscale,Negative,Old Picture and Auto Equalize) it will give you a near InfraRed effect as taken through an InfraRed Filter.

Add Drop Shadow

Batch It! allows you to add shadow frames to make your images stand on.

The above images does not use the drop shadow effect.

With Drop Shadow Effect

.topic 14
 Settings - Text Caption Properties

 Text Caption Properties

 This image uses text caption with text drop shadow effect

 This option allows you to add text caption onto the images.

Batch It! provides 4 presets text caption macros and the ability to include your own text.

The 4 preset text captions are :-

Both [FileName] and [FileNameNoExt] uses the New Filename as reference so if you set it to something descriptive like Julia's Birthday Pic 01.jpg, it will show up as just "Julia's Birthday Pic 01" if you use the [FileNameNoExt] macro.

 Vertical Left BottomUp

 Vertical Right TopDown

This method does not work when the Text Alignment is set to Middle Left, Middle Center and Middle Right.

Caption in Border Checked with Text Drop Shadow Effect

Text in Border without the Text Drop Shadow Effect

Batch It! uses a text rendering method which would ensure that all texts are smoothed when resized.

Fixed Fonts however does not resize well and thus we encourage you to use a TrueType font format.

All TrueType fonts are labeled with TT at the set and are resizeable.

Those with the printer icon are fixed size fonts and do not resize well.

.topic 31
Settings - Watermark Properties

Watermark Properties

This image contains a watermark taken from a PNG Smiley image.

This options allows you to add a graphic watermark to the picture.

.topic 15
Settings - File Name Changer

.topic 16
Settings - Files Properties  Files Properties

This section determines how the processed files should be saved.

.topic 18
Application Docking System

Docking Information

The first step to docking would be to undock a page. You can do this by holding the left-mouse button down when selecting the page name. By default this would be the bottom tab on the default page design. While holding the mouse button down, drag the page out and it will immediately be undocked.

To dock a page, hold the left-mouse button down when selecting the page name and dragging into the program to where you want it to dock.

Note : Both the Image Preview and Settings can be undocked.  You may dock the pages to the Left, Right, Top, Bottom or as a Tab in the program.

Docking Tags
On the top of each page you will see  . These are docking tags which could alter the behavior of the pages.

The first tag would maximize or minimize the page depending on where it is at. It basically would close up the other pages. This will appear only if at least two pages are stacked on top of each other or side by side.

The second tag would determine if the page would appear static at where it is at. If the Pin is pointing down, it would remain static and if it is pointing towards the left, it will close up. Moving the mouse over the page name would open the page. Clicking on the page at the back would close it.

The third tag would remove the page from the screen. If you want to bring it back, select Windows and the Page Name and it will reappear.
Note : If at any point, you want to revert to the original layout, select Windows and Reset Layout.

.topic 19
Loading Files

Batch It! provides you with 3 ways to load files.

Load Files

By using the Load Files option, it allows you to select file or files from a specific directory into the program.

To select a single image file, just click on the file name and Open which will load that file to the file listing.

To select batch of image files, click on the first file name on the list then while holding down the SHIFT key select the last image on the list with your left-mouse button. Once you got the list you want, click on Open which would load the selected list into the file listing.

To import selective image files, click on the first file name on the list then while holding down the CTRL key select all the subsequent image files you want to include. Once you got the list you want, click on Open which would load the selected list into the file listing.

Load Folders

If you want to load up entire folders, use the Load Folders method. This will allow you to select the folder which you want all images to be imported from. This supports loading from an entire folder with the option to include all sub folders.

Drag and Drop

This works with Windows Explorer through My Computer on the Windows XP desktop. You could select image files and folders and drop them into the Control Center.

Note : With Windows XP and above, you could change the file listing view (for Load Files and Windows Explorer) by clicking on the last icon at the icon bar and selecting the View Menu to Thumbnails.

.topic 20
Resizing Images

Batch It! provides you with 4 ways of resizing images

Resizing by Pixels

If you select Resizing by Pixels (either upsize or downsize), there are 4 others settings which would be relevant. They are Width,  Height, Keep Dimension Ratio Aspect and Swap Dimension if Portrait Image .

The Keep Dimension Ratio Aspect option when selected would ensure that the images would not get distorted but would look perfect at any dimension.

By selecting Keep Dimension Ratio Aspects, the images which are larger than the width or height would be downsize so that both width and height are equal or smaller than the maximum allowable dimension if Downsize by Pixel is selected. If you use Upsize by Pixel than all images would have to be larger than the minimum allowable dimensions. You may keep either one of the dimension to 0 if you do not have any dimension criteria for that dimension.

If Keep Dimension Ratio Aspects is not selected, all images would be resized based on the maximum width and height. Images can be upsized or downsized depending on the set parameters.

Resizing by Percentage

If you select Resizing by Percentage, the Percentage setting would be relevant. This would determine the percentage scale of the processed image to the original file dimension. All Resizing by Percentage method would handle Dimension Ratio Aspects automatically.

The base ratio is 100% which would be equivalent to no resizing. If you set it to 120% it will upsize the image by 20%. If you set it to 80%, it will scale down the image to 80% of the original file size.

The program does not handle decimal placement but whole numbers.

Resizing by Ratio

The program allows you to resize images by ratio from 1/4x to 3/4x the original image size. Dimension Ratio Aspects would be handled by the program automatically.

Note : Images which have dimensions under 30 pixels may be distorted even if dimension ratio aspects are used due to the rounding issues in the computation. Any images which are upsized may have its quality degraded due to the lack of details.

Resizing in Frame

By selecting this option, all images would be resized to fit the set Width and Height. All images would retain their ratio aspect properties within the frame. Any part of the frame which is not covered by the resized image would be filled with the selected background color.

If you use the Drop Shadow option, it will take the color of the frame as its background so as to blend it seamlessly.

.topic 21
How to do Filename Change Only ?

Batch It! integrates two main functions into a single program, this include Image Processing and Filename Renaming. The core function is image processing. However by checking the Do Filename Change Only option will disable the image processing function. Otherwise both functions would be performed.

Each processed image will take on the New Filename as listed in the New Filename column on the Control Center.

The file order in the control center is important as they will be processed in that order. By default, the original filename takes precedence but by clicking on the column header will sort the list in accordance to that criteria.

The Sort Order Field shows the sequence in which the files are loaded into the program. Since the images are sorted by filename, this column may show numbers which are not of any sequence. Click on the Sort Order header to sort against the Sort Order Number. In an Ascending sort, the higher the assigned number, the lower it is on the list. Any files with the same sort order number will be grouped next to each other.

You do not need to use numbers with the incremental value of 1. While changing the value, click on the header to perform the sort.  Use the Preview Name Change to view how the filenames would turn out especially when using the Use Filename Changer option.

Each New Filename field is editable so you could change them as you like. Remember to uncheck the Use Filename Changer if you want to refine the file names.

.topic 32
How to Resize Images ?
Below contains the basic steps in batch resizing of images.

1) Click on Load Folders and navigate to the directory/folder where the images are found and click OK. The program will ask if you want to include all sub-folders. If you click Yes, the program will look for all supported images in all the sub-directory under it and include it on the list of images to be processed.

2) Navigate to Settings by either clicking on Settings or clicking on the Settings tab name at the bottom of the Control Center.

3) Select the Resizing Method which you want to use. The program supports 4 methods to resize images, by Pixels, by Percentage, by Ratio and in Frame. Please refer to the topic on Resizing Images for more information.

4) Under File Properties, select the directory/folder in which the processed images would be saved in. If this is the same as the original files, the original files would be replaced and the process is irreversible. It is best to ensure that the directory the images would be saved in would be different from the original.

If however you need to save in the same directory, use the Backup Original function to keep a copy of the original files with which you can retrieve if you need to.

5) To preview the new file size, check the Enable Change Preview on the left navigation bar and click on any of the file name on the list in Control Center. This will show the before and after image on the respective panel. You will see the image dimension on the before and after module.  If the image dimension is not as you want, you could go back to Settings and make the necessary changes. Preview does not actually save the images so you can repeat this step as many times as you want.

6) Once you are satisfied with the settings, click on Process All and let Batch It! do all the work.

.topic 33
How to Rename Files ?

Below contains the basic steps in batch renaming of images.

1) Click on Load Folders and navigate to the directory/folder where the images are found and click OK. The program will ask if you want to include all sub-folders. If you click Yes, the program will look for all supported images in all the sub-directory under it and include it on the list of images to be processed.

2) Navigate to Settings by either clicking on Settings or clicking on the Settings tab name at the bottom of the Control Center.

3) Go to the Filename Changer section of the Settings and make the necessary setting changes. Do refer to the Settings - File Name Changer for more information.

4) Under File Properties, select the directory/folder in which the processed images would be saved in. If this is the same as the original files, the original files would be replaced and the process is irreversible. It is best to ensure that the directory the images would be saved in would be different from the original.

If however you need to save in the same directory, use the Backup Original function to keep a copy of the original files with which you can retrieve if you need to.

5) To preview the new file names, select the Use Filename Changer on the left navigation bar and click Preview Name Change to see the new filenames. This should appear on the New Filename column in Control Center. The Changes made in the preview is not permanent so you could go back to settings and make the respective changes.  You may also change the new file name column entry manually if you want to provide some level of customization. To ensure the changes that you make are not remains, uncheck the Use Filename Changer option.

If you require only filename change with no processing than check on Do Filename Change Only. If the filename change is part of the image processing then leave this option uncheck.  Once you are satisfied with the settings, click on Process All and let Batch It! do all the work.

.topic 34
How to Add Text Captions

Below contains the basic steps in batch adding of text captions to images.

1) Click on Load Folders and navigate to the directory/folder where the images are found and click OK. The program will ask if you want to include all sub-folders. If you click Yes, the program will look for all supported images in all the sub-directory under it and include it on the list of images to be processed.

2) Navigate to Settings by either clicking on Settings or clicking on the Settings tab name at the bottom of the Control Center.

3) Go to the Text Caption Properties section and make the necessary changes. Do refer to Settings - Text Caption Properties for a description of the text caption properties. Do keep the caption short.

4) Under File Properties, select the directory/folder in which the processed images would be saved in. If this is the same as the original files, the original files would be replaced and the process is irreversible. It is best to ensure that the directory the images would be saved in would be different from the original.

If however you need to save in the same directory, use the Backup Original function to keep a copy of the original files with which you can retrieve if you need to.

5) To preview the text captions on the images, ensure that the Enable Change Preview is checked and  click on the image filename in the Control Center to preview it.  You can make changes to the settings by going back to step 3. During the preview no changes are permanent.

6) Once you are satisfied with the settings, click on Process All and let Batch It! do all the work.

.topic 35
How to Add Watermark ?

Below contains the basic steps in batch adding of watermark images to images.

1) Click on Load Folders and navigate to the directory/folder where the images are found and click OK. The program will ask if you want to include all sub-folders. If you click Yes, the program will look for all supported images in all the sub-directory under it and include it on the list of images to be processed.

2) Navigate to Settings by either clicking on Settings or clicking on the Settings tab name at the bottom of the Control Center.

3) Go to the Watermark Properties section and make the necessary changes. Do refer to Setting - Watermark Properties for information on the various settings.

4) Under File Properties, select the directory/folder in which the processed images would be saved in. If this is the same as the original files, the original files would be replaced and the process is irreversible. It is best to ensure that the directory the images would be saved in would be different from the original.

 If however you need to save in the same directory, use the Backup Original function to keep a copy of the original files with which you can retrieve if you need to.

5) To preview the text captions on the images, ensure that the Enable Change Preview is checked and  click on the image filename in the Control Center to preview it.  You can make changes to the settings by going back to step 3. During the preview no changes are permanent.

6) Once you are satisfied with the settings, click on Process All and let Batch It! do all the work.

.topic 23
Where can I get Program Updates ?

To simplify updates, we do not maintain separate update files. All you will need to do is to download the latest trial version from our website and install it over the current program. This will update all necessary files.

The trial and registered version of the program is one and the same program. It is the registration key which is installed in the system registry which would change the program mode. So as long as you do not change computers, the registration key would work on al future iRedSoft Image Resizer v3.x.

We respect your privacy and would not send you any email in regards to program updates. We plan to offer 4 program updates a year until the next major version upgrade (probably in mid 2006 to cater for Microsoft .NET framework in the new Microsoft Windows Operating System).

This program updates would include bug fixes, updated imaging engine and several additional features which did not make it at the initial launch. We will implement selected requests from our customers as and when possible.

You may refer to our website at http://www.batchimage.com/download for updated versions.

.topic 24
Where do I report Bugs ?

As much as we want to deliver a perfectly running program and we would perform extensive tests on the programs before we release them, bugs do occur. As we are supporting a wide spectrum of operating systems and computer set up, it is impossible to test on all combinations and problem may occur.

If you encounter a problem, see if you can replicate the error on another computer. If the problem is not replicated, you may want to perform a scandisk, defrag and possibly a virus scan to ensure that the system is in good working condition.

There are times in which an external program may interfere with our program and as such during the test close all other running program and test the program exclusively.

If you can replicate the error, drop us an email at support@batchimage.com with the following information

- Program you are running
- Version of the Program in question
- Your Operating System
- Information about your hardware configuration (eg CPU type/speed, remaining harddisk space, RAM)
- The error message
- When the Error occurs (eg at program start up, while running the program or when you close the program)
- The Configuration File (You will find a file called default.ini in the installed directory, this contain all settings for the program)

When requested, you may send us the image file in question via email. Our mailbox would reject any file attachment over 1mb so write to us if you are sending us a file larger than that size.

We will try to replicate the error on our end and issue a bug fix as soon as we have a solution.

The program comes equipped with EurekaLog Exception Reporting System. If your program crashes for some reasons, it will automatically generate a bug report. You may send that to us via email and if possible, include the steps on how the program occurs. It will help us diagnose the problem better.

.topic 25

Can I request for new features ?

Our programs are created with our customers in mind and build the program based on their requests and usage pattern. If there are any features which you believe the mass audience would benefit from and if it does not require a massive reengineering of the system, we could place it on the to-do-list. We however do not guarantee that every requests would be added.

Do understand that we are working on a limited budget and manpower and as such we will do our best to implement them to the best of our abilities. We are keeping the cost of the product down so we apologize if we are unable to implement the requested changes.

If there are features you require which we cannot implement, feel free to request for a custom code and we could develop a program to cater exclusively to your needs for a fee.

For all inquiries, you may contact us at support@batchimage.com

.topic 26

What is your upgrade policy ?

When you purchase a license, you will be entitled to all minor updates and bug fixes for that version free-of-charge. All you need to do is to download and install the program from our website at http://www.batchimage.com/download . However, major upgrades from v4.x to v5.x would not be covered by the free offer. As a registered user, you will be entitled to purchase the new version for a discounted price.

The typical lifespan of a version is two years from the initial version launch. You may however use the program indefinitely. All upgrades are optional.

Each major upgrade would involved rewriting the program from bottom up to support a new imaging engine, a new operating system or to implement new features which cannot be implemented with the old framework. The next major upgrade would take place in the mid of 2006 with the launch of the new Windows Operating System which supports the .NET framework. From what we understand, all Windows program which works under Windows XP would work on the new operating system but we cannot guarantee that as nothing is firm on Microsoft's end.

Our policy would be if you purchase our program 30 days prior to the next major upgrade, you will be entitled to a free major upgrade. But we are liberal on that fact and may extend the offer to purchases made before the 30 days.

.topic 27

Do you support Microsoft .NET framework  ?

The current version is not based on Microsoft .NET framework but we intend to support the framework once the next Windows operating system is released in 2006. At the moment, there are talk about a new .NET framework version which would be a radical change from the current v1.1.

As such, we have not begin any .NET framework based development as yet as we do not want to bite ourselves in the tail when the framework changes.

Currently, the only version of Windows which supports the .NET framework v1.1 natively is Windows 2003 Server. For other versions of Windows, you will need to download and install a 20mb file to provide the support. The framework although functional is slow and lacking in features compared to the current executable framework which we use. It is our opinion that the .NET framework at the present time is not ready for prime time.

The new Windows Operating System to be launched in 2006 would come with native support for .NET. We would have a version of Batch It! for it when that Operating System is available to the masses.

.topic 28

Is the License Transferable ?

If you purchase a license, it is tied in to the registered name as such the license is not transferable to a 3rd party with or without a fee. You will be required to purchase an additional license for the new user.

If however the program is registered to a business, the usage may be reassigned to another employee within the same organization.

.topic 29

I purchase multiple licenses but was only provided with one key.

Regsoft.com's system is capable of generating a single license key irregardless of the number of licenses purchased. You may use the same key for the number of systems you are registered for.

If you require separate keys, drop us an email at sales@batchimage.com with your request. Please indicate the Order ID and the name you want the licenses to be registered under and we will manually generate the keys for you.

.topic 30

I want to register the program for a 3rd party.

By default, Regsoft.com would use the Registered Name as a name to generate the license key. If you are registering the program for a 3rd party such as for a friend, relative or even for your company, you may elect on the registration form that this would be a gift order. When requested, enter the 3rd party information or company name and it will assign the registration key to whoever you nominate.

If after ordering, you receive the key for the wrong name, you may write to us at sales@batchimage.com and indicate the Order ID and the name you want to register and we will manually generate the key.

.topic 22